<html>
<head>
<title>OGRE: Ogre::ParticleEmitterFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParticleEmitterFactory.html">ParticleEmitterFactory</a></div>
<h1>Ogre::ParticleEmitterFactory Class Reference</h1><!-- doxytag: class="Ogre::ParticleEmitterFactory" -->Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> subclasses.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreParticleEmitterFactory_8h-source.html">OgreParticleEmitterFactory.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ParticleEmitterFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#e7d84a60ac62a0ee941b690cb6c13ea1">ParticleEmitterFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#e60c102ff4c406309b4fd0b03af61f48">~ParticleEmitterFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#81999da1779cbe5e0ff478f97d021fe2">getName</a> () const =0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the name of the factory, the name which identifies the particle emitter type this factory creates.  <a href="#81999da1779cbe5e0ff478f97d021fe2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#d724bb97fa00667c2bc6056631991f82">createEmitter</a> (<a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *psys)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new emitter instance.  <a href="#d724bb97fa00667c2bc6056631991f82"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#dc0b5ab2657292efbdb4bc6e6e6a2462">destroyEmitter</a> (<a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a> *e)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destroys the emitter pointed to by the parameter (for early clean up if reauired).  <a href="#dc0b5ab2657292efbdb4bc6e6e6a2462"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::vector<br>
&lt; <a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleEmitterFactory.html#a332d12b403872d3ecaffa6e66d3c1bc">mEmitters</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class defining the interface to be implemented by creators of <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> subclasses. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Plugins or 3rd party applications can add new types of particle emitters to <a class="el" href="namespaceOgre.html">Ogre</a> by creating subclasses of the <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> class. Because multiple instances of these emitters may be required, a factory class to manage the instances is also required. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1ParticleEmitterFactory.html" title="Abstract class defining the interface to be implemented by creators of ParticleEmitter...">ParticleEmitterFactory</a> subclasses must allow the creation and destruction of <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> subclasses. They must also be registered with the <a class="el" href="classOgre_1_1ParticleSystemManager.html" title="Manages particle systems, particle system scripts (templates) and the available emitter...">ParticleSystemManager</a>. All factories have a name which identifies them, examples might be 'point', 'cone', or 'box', and these can be also be used from particle system scripts. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleEmitterFactory_8h-source.html#l00050">50</a> of file <a class="el" href="OgreParticleEmitterFactory_8h-source.html">OgreParticleEmitterFactory.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e7d84a60ac62a0ee941b690cb6c13ea1"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::ParticleEmitterFactory" ref="e7d84a60ac62a0ee941b690cb6c13ea1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParticleEmitterFactory::ParticleEmitterFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleEmitterFactory_8h-source.html#l00055">55</a> of file <a class="el" href="OgreParticleEmitterFactory_8h-source.html">OgreParticleEmitterFactory.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e60c102ff4c406309b4fd0b03af61f48"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::~ParticleEmitterFactory" ref="e60c102ff4c406309b4fd0b03af61f48" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ParticleEmitterFactory::~ParticleEmitterFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="81999da1779cbe5e0ff478f97d021fe2"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::getName" ref="81999da1779cbe5e0ff478f97d021fe2" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ParticleEmitterFactory::getName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the name of the factory, the name which identifies the particle emitter type this factory creates. 
<p>

</div>
</div><p>
<a class="anchor" name="d724bb97fa00667c2bc6056631991f82"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::createEmitter" ref="d724bb97fa00667c2bc6056631991f82" args="(ParticleSystem *psys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a>* Ogre::ParticleEmitterFactory::createEmitter           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleSystem.html">ParticleSystem</a> *&nbsp;</td>
          <td class="paramname"> <em>psys</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new emitter instance. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The subclass MUST add a pointer to the created instance to mEmitters. </dd></dl>

</div>
</div><p>
<a class="anchor" name="dc0b5ab2657292efbdb4bc6e6e6a2462"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::destroyEmitter" ref="dc0b5ab2657292efbdb4bc6e6e6a2462" args="(ParticleEmitter *e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParticleEmitterFactory::destroyEmitter           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a> *&nbsp;</td>
          <td class="paramname"> <em>e</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destroys the emitter pointed to by the parameter (for early clean up if reauired). 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a332d12b403872d3ecaffa6e66d3c1bc"></a><!-- doxytag: member="Ogre::ParticleEmitterFactory::mEmitters" ref="a332d12b403872d3ecaffa6e66d3c1bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classOgre_1_1ParticleEmitter.html">ParticleEmitter</a>*&gt; <a class="el" href="classOgre_1_1ParticleEmitterFactory.html#a332d12b403872d3ecaffa6e66d3c1bc">Ogre::ParticleEmitterFactory::mEmitters</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreParticleEmitterFactory_8h-source.html#l00053">53</a> of file <a class="el" href="OgreParticleEmitterFactory_8h-source.html">OgreParticleEmitterFactory.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleEmitterFactory_8h-source.html">OgreParticleEmitterFactory.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:22 2008
</p>
</body>
</html>
